{
	"schema": "https://iot-ap.ikonke.com/model/ccu_15.json",
	"productType": "ccu",
	"profile": {
		"productCode": "15",
		"productName": "主机"
	},
	"properties": [{
		"identifier": "SN",
		"dataType": {
			"specs": {
				"length": "50"
			},
			"type": "text"
		},
		"name": "设备SN",
		"accessMode": "r",
		"required": false
	}, {
		"identifier": "MACAddress",
		"dataType": {
			"specs": {
				"length": "128"
			},
			"type": "text"
		},
		"name": "MAC地址",
		"accessMode": "r",
		"required": false
	}, {
		"identifier": "LanIPAddress",
		"dataType": {
			"specs": {
				"length": "255"
			},
			"type": "text"
		},
		"name": "内网IP地址",
		"accessMode": "r",
		"required": false
	}, {
		"identifier": "WanIPAddress",
		"dataType": {
			"specs": {
				"length": "255"
			},
			"type": "text"
		},
		"name": "内网IP地址",
		"accessMode": "r",
		"required": false
	}, {
		"identifier": "WanState",
		"dataType": {
			"specs": {
				"0": "无外网",
				"1": "有外网"
			},
			"type": "bool"
		},
		"name": "外网链路状态",
		"accessMode": "r",
		"required": false
	}, {
		"identifier": "IOTCloudState",
		"dataType": {
			"specs": {
				"0": "无服务",
				"1": "有服务"
			},
			"type": "bool"
		},
		"name": "云服务状态",
		"accessMode": "r",
		"required": false
	}, {
		"identifier": "Version",
		"dataType": {
			"specs": {
				"length": "255"
			},
			"type": "text"
		},
		"name": "版本",
		"accessMode": "r",
		"required": false
	}],
	"services": [{
		"outputData": [],
		"identifier": "set",
		"inputData": [],
		"method": "thing.service.property.set",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "属性设置"
	}, {
		"outputData": [{
			"identifier": "SN",
			"dataType": {
				"specs": {
					"length": "50"
				},
				"type": "text"
			},
			"name": "设备SN"
		}, {
			"identifier": "MACAddress",
			"dataType": {
				"specs": {
					"length": "128"
				},
				"type": "text"
			},
			"name": "MAC地址"
		}, {
			"identifier": "LanIPAddress",
			"dataType": {
				"specs": {
					"length": "255"
				},
				"type": "text"
			},
			"name": "内网IP地址"
		}, {
			"identifier": "WanIPAddress",
			"dataType": {
				"specs": {
					"length": "255"
				},
				"type": "text"
			},
			"name": "内网IP地址"
		}, {
			"identifier": "WanState",
			"dataType": {
				"specs": {
					"0": "无外网",
					"1": "有外网"
				},
				"type": "bool"
			},
			"name": "外网链路状态"
		}, {
			"identifier": "IOTCloudState",
			"dataType": {
				"specs": {
					"0": "无服务",
					"1": "有服务"
				},
				"type": "bool"
			},
			"name": "云服务状态"
		}, {
			"identifier": "Version",
			"dataType": {
				"specs": {
					"length": "255"
				},
				"type": "text"
			},
			"name": "版本"
		}],
		"identifier": "get",
		"inputData": ["SN", "MACAddress", "LanIPAddress", "WanIPAddress", "IOTCloudState", "Version"],
		"method": "thing.service.property.get",
		"name": "get",
		"required": true,
		"callType": "async",
		"desc": "属性获取"
	}, {
		"outputData": [],
		"identifier": "reboot",
		"inputData": [],
		"method": "thing.service.reboot",
		"name": "reboot",
		"required": false,
		"callType": "async",
		"desc": "重启"
	}, {
		"outputData": [],
		"identifier": "addRoom",
		"inputData": [{
			"identifier": "roomName",
			"dataType": {
				"specs": {
					"length": "256"
				},
				"type": "text"
			},
			"name": "房间名字"
		}],
		"method": "thing.service.addRoom",
		"name": "addRoom",
		"required": true,
		"callType": "async",
		"desc": "添加房间"
	}, {
		"outputData": [],
		"identifier": "addDeviceToRoom",
		"inputData": [{
			"identifier": "roomId",
			"dataType": {
				"specs": {
					"length": "256"
				},
				"type": "text"
			},
			"name": "房间id"
		}, {
			"identifier": "deviceCode",
			"dataType": {
				"specs": {
					"length": "256"
				},
				"type": "text"
			},
			"name": "设备编码"
		}, {
			"identifier": "epNum",
			"dataType": {
				"specs": {
					"length": "10"
				},
				"type": "text"
			},
			"name": "设备路数"
		}],
		"method": "thing.service.addDeviceToRoom",
		"name": "addDeviceToRoom",
		"required": true,
		"callType": "async",
		"desc": "添加设备到房间"
	}, {
		"outputData": [],
		"identifier": "removeDeviceFromRoom",
		"inputData": [{
			"identifier": "deviceCode",
			"dataType": {
				"specs": {
					"length": "256"
				},
				"type": "text"
			},
			"name": "设备编码"
		}, {
			"identifier": "epNum",
			"dataType": {
				"specs": {
					"length": "10"
				},
				"type": "text"
			},
			"name": "设备路数"
		}],
		"method": "thing.service.removeDeviceFromRoom",
		"name": "removeDeviceFromRoom",
		"required": true,
		"callType": "async",
		"desc": "移除设备从房间"
	}, {
		"outputData": [],
		"identifier": "deleteRoom",
		"inputData": [{
			"identifier": "roomId",
			"dataType": {
				"specs": {
					"length": "256"
				},
				"type": "text"
			},
			"name": "房间id"
		}],
		"method": "thing.service.deleteRoom",
		"name": "deleteRoom",
		"required": true,
		"callType": "async",
		"desc": "删除房间"
	}, {
		"outputData": [],
		"identifier": "executeRoom",
		"inputData": [{
			"identifier": "roomId",
			"dataType": {
				"specs": {
					"length": "256"
				},
				"type": "text"
			},
			"name": "房间id"
		}, {
			"identifier": "productType",
			"dataType": {
				"specs": {
					"length": "256"
				},
				"type": "text"
			},
			"name": "产品类别"
		}, {
			"identifier": "action",
			"dataType": {
				"type": "struct",
				"specs": [{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				}]
			},
			"name": "动作"
		}],
		"method": "thing.service.executeRoom",
		"name": "executeRoom",
		"required": true,
		"callType": "async",
		"desc": "批量执行房间设备"
	}],
	"events": [{
		"outputData": [{
			"identifier": "SN",
			"dataType": {
				"specs": {
					"length": "50"
				},
				"type": "text"
			},
			"name": "设备SN"
		}, {
			"identifier": "MACAddress",
			"dataType": {
				"specs": {
					"length": "128"
				},
				"type": "text"
			},
			"name": "MAC地址"
		}, {
			"identifier": "LanIPAddress",
			"dataType": {
				"specs": {
					"length": "255"
				},
				"type": "text"
			},
			"name": "内网IP地址"
		}, {
			"identifier": "WanIPAddress",
			"dataType": {
				"specs": {
					"length": "255"
				},
				"type": "text"
			},
			"name": "内网IP地址"
		}, {
			"identifier": "WanState",
			"dataType": {
				"specs": {
					"0": "无外网",
					"1": "有外网"
				},
				"type": "bool"
			},
			"name": "外网链路状态"
		}, {
			"identifier": "IOTCloudState",
			"dataType": {
				"specs": {
					"0": "无服务",
					"1": "有服务"
				},
				"type": "bool"
			},
			"name": "云服务状态"
		}, {
			"identifier": "Version",
			"dataType": {
				"specs": {
					"length": "255"
				},
				"type": "text"
			},
			"name": "版本"
		}],
		"identifier": "property",
		"method": "thing.event.property.post",
		"name": "property",
		"type": "info",
		"required": true,
		"desc": "属性上报"
	}, {
		"outputData": [],
		"identifier": "rebootNotification",
		"method": "thing.event.rebootNotification.post",
		"name": "重启通知消息",
		"type": "info",
		"required": true
	}, {
		"outputData": [{
			"identifier": "roomId",
			"dataType": {
				"specs": {
					"length": "256"
				},
				"type": "text"
			},
			"name": "房间id"
		}],
		"identifier": "addRoomNotification",
		"method": "thing.event.addRoomNotification.post",
		"name": "房间添加通知消息",
		"type": "info",
		"required": true
	}, {
		"outputData": [{
			"identifier": "ErrorCode",
			"dataType": {
				"specs": {
					"0": "正常"
				},
				"type": "enum"
			},
			"name": "故障代码"
		}],
		"identifier": "error",
		"method": "thing.event.error.post",
		"name": "故障上报",
		"type": "error",
		"required": true
	}]
}